Summary: A portable NES/Famicom emulator
Name: fceultra
Version: 0.98.13
Release: 5%{?dist}
Epoch: 1
License: GPL2
Group: Amusements/Games
#URL: http://xodnizel.net/fceultra/
#Source0: http://xodnizel.net/fceultra/downloads/fceu-%{version}.src.tar.gz
Source0: fceu-%{version}.src.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gcc-c++
BuildRequires: SDL-devel
BuildRequires: libGLU-devel
BuildRequires: perl, zlib-devel

%description
FCE Ultra is a portable NES/Famicom emulator based on Bero's original
FCE source code. Large portions of it have been rewritten, resulting
in a much stabler and very compatible emulator.

%prep
%setup -q -n fceu
perl -pi -e's/-mcpu=i686/\$(RPM_OPT_FLAGS)/' Makefile*

%build
./configure --with-opengl
make
mv src/fceu src/fceu-sdl

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man6

install -p src/fceu-sdl %{buildroot}%{_bindir}
install -p Documentation/fceu-sdl.6 %{buildroot}%{_mandir}/man6

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Documentation
%{_bindir}/fceu-sdl
%{_mandir}/man6/fceu-sdl.6*

%changelog
* Fri Feb 18 2005 Winston Chang <winston@stdout.org>
- Updated to 0.98.13.

* Wed Dec  3 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.97.5.

* Fri Jun 13 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.


